! Copyright (C) GFD Dennou Club, 2000-2005.  All rights reserved

module dc_types

    implicit none
    private
    public :: DP
    public :: SP
    public :: INT
    public :: TOKEN
    public :: STRING
    public :: NF_KIND_INT1
    public :: NF_KIND_INT2

    integer, parameter:: DP = kind(0.0d0) ! Double Precision
    integer, parameter:: SP = kind(0.0)   ! Single Precision
    integer, parameter:: INT= kind(0)     ! Integer
    integer, parameter:: TOKEN = 32       ! Token
    integer, parameter:: STRING = 500     ! String

    !
    ! netCDF Fortran インターフェイスの型パラメタ
    ! (netcdf.inc には存在しない)
    !
    integer, parameter:: NF_KIND_INT1 = selected_int_kind(2)
    integer, parameter:: NF_KIND_INT2 = selected_int_kind(4)
end module
